libdap::UnMarshaller Class Referenceabstract

abstract base class used to unmarshall/deserialize dap data objects More...

`#include <UnMarshaller.h>`

Inheritance diagram for libdap::UnMarshaller:

## Public Member Functions

virtual void | dump (std::ostream &strm) const =0
| dump the contents of this object to the specified ostream More...
virtual void | get_byte (dods_byte &val)=0
virtual void | get_float32 (dods_float32 &val)=0
virtual void | get_float64 (dods_float64 &val)=0
virtual void | get_int (int &val)=0
virtual void | get_int16 (dods_int16 &val)=0
virtual void | get_int32 (dods_int32 &val)=0
virtual void | get_opaque (char *val, unsigned int len)=0
virtual void | get_str (string &val)=0
virtual void | get_uint16 (dods_uint16 &val)=0
virtual void | get_uint32 (dods_uint32 &val)=0
virtual void | get_url (string &val)=0
virtual void | get_vector (char **val, unsigned int &num, int width, Vector &vec)=0
virtual void | get_vector (char **val, unsigned int &num, Vector &vec)=0

## Detailed Description

abstract base class used to unmarshall/deserialize dap data objects

Definition at line 54 of file UnMarshaller.h.

## Member Function Documentation

## dump()

virtual void libdap::UnMarshaller::dump | ( | std::ostream & | strm | ) | const

pure virtual

dump the contents of this object to the specified ostream

This method is implemented by all derived classes to dump their contents, in other words, any state they might have, private variables, etc...

Parameters

  strm | C++ i/o stream to dump the object to

Implements libdap::DapObj.

Implemented in libdap::D4StreamUnMarshaller, libdap::XDRStreamUnMarshaller, and libdap::XDRFileUnMarshaller.

The documentation for this class was generated from the following file:

- UnMarshaller.h